package nc.vo.bgy.ws.log;

import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFBoolean;

/**
 * @author xwr@谢文如【碧桂园项目】
 * @date 2016-6-14
 * @功能名称 NC webservice同步日志
 * @功能描述
 */
@SuppressWarnings("serial")
public class NCWebserviceLogVO extends SuperVO {

	private String def1;
	/**
	 * 自定义项2
	 */
	private String def2;
	/**
	 * 自定义项3
	 */
	private String def3;
	/**
	 * 自定义项4
	 */
	private String def4;
	/**
	 * 自定义项5
	 */
	private String def5;
	/**
	 * 自定义项6
	 */
	private String def6;
	/**
	 * 自定义项7
	 */
	private String def7;
	/**
	 * 自定义项8
	 */
	private String def8;
	/**
	 * 自定义项9
	 */
	private String def9;
	/**
	 * 是否成功
	 */
	private UFBoolean issuccess;
	/**
	 * 操作
	 */
	private String operation;
	/**
	 * 日志主键
	 */
	private String pk_log;
	/**
	 * 结果信息
	 */
	private String resultinfo;
	/**
	 * 异常信息
	 */
	private String errorinfo;
	/**
	 * 发送数据
	 */
	private String senddata;
	/**
	 * 所属单据主键
	 */
	private String src_pk_bill;
	/**
	 * 所属单据类型名称
	 */
	private String src_pk_billname;
	/**
	 * 所属单据类型编码
	 */
	private String src_pk_billtype;

	public String getDef1() {
		return def1;
	}

	public void setDef1(String def1) {
		this.def1 = def1;
	}

	public String getDef2() {
		return def2;
	}

	public void setDef2(String def2) {
		this.def2 = def2;
	}

	public String getDef3() {
		return def3;
	}

	public void setDef3(String def3) {
		this.def3 = def3;
	}

	public String getDef4() {
		return def4;
	}

	public void setDef4(String def4) {
		this.def4 = def4;
	}

	public String getDef5() {
		return def5;
	}

	public void setDef5(String def5) {
		this.def5 = def5;
	}

	public String getDef6() {
		return def6;
	}

	public void setDef6(String def6) {
		this.def6 = def6;
	}

	public String getDef7() {
		return def7;
	}

	public void setDef7(String def7) {
		this.def7 = def7;
	}

	public String getDef8() {
		return def8;
	}

	public void setDef8(String def8) {
		this.def8 = def8;
	}

	public String getDef9() {
		return def9;
	}

	public void setDef9(String def9) {
		this.def9 = def9;
	}

	public UFBoolean getIssuccess() {
		return issuccess;
	}

	public void setIssuccess(UFBoolean issuccess) {
		this.issuccess = issuccess;
	}

	public String getOperation() {
		return operation;
	}

	public void setOperation(String operation) {
		this.operation = operation;
	}

	public String getPk_log() {
		return pk_log;
	}

	public void setPk_log(String pk_log) {
		this.pk_log = pk_log;
	}

	public String getResultinfo() {
		return resultinfo;
	}

	public void setResultinfo(String resultinfo) {
		this.resultinfo = resultinfo;
	}

	public String getErrorinfo() {
		return errorinfo;
	}

	public void setErrorinfo(String errorinfo) {
		this.errorinfo = errorinfo;
	}

	public String getSenddata() {
		return senddata;
	}

	public void setSenddata(String senddata) {
		this.senddata = senddata;
	}

	public String getSrc_pk_bill() {
		return src_pk_bill;
	}

	public void setSrc_pk_bill(String src_pk_bill) {
		this.src_pk_bill = src_pk_bill;
	}

	public String getSrc_pk_billname() {
		return src_pk_billname;
	}

	public void setSrc_pk_billname(String src_pk_billname) {
		this.src_pk_billname = src_pk_billname;
	}

	public String getSrc_pk_billtype() {
		return src_pk_billtype;
	}

	public void setSrc_pk_billtype(String src_pk_billtype) {
		this.src_pk_billtype = src_pk_billtype;
	}

	/**
	 * <p>
	 * 取得父VO主键字段.
	 * <p>
	 * 创建日期:
	 * 
	 * @return String
	 */
	public String getParentPKFieldName() {
		return null;
	}

	/**
	 * <p>
	 * 取得表主键.
	 * <p>
	 * 创建日期:
	 * 
	 * @return String
	 */
	public String getPKFieldName() {
		return "pk_log";
	}

	/**
	 * <p>
	 * 返回表名称.
	 * <p>
	 * 创建日期:
	 * 
	 * @return String
	 */
	public String getTableName() {
		return "bgy_ncwebservicelog";
	}

	/**
	 * 自定义项1
	 */
	public static final String DEF1 = "def1";
	/**
	 * 自定义项2
	 */
	public static final String DEF2 = "def2";
	/**
	 * 自定义项3
	 */
	public static final String DEF3 = "def3";
	/**
	 * 自定义项4
	 */
	public static final String DEF4 = "def4";
	/**
	 * 自定义项5
	 */
	public static final String DEF5 = "def5";
	/**
	 * 自定义项6
	 */
	public static final String DEF6 = "def6";
	/**
	 * 自定义项7
	 */
	public static final String DEF7 = "def7";
	/**
	 * 自定义项8
	 */
	public static final String DEF8 = "def8";
	/**
	 * 自定义项9
	 */
	public static final String DEF9 = "def9";
	/**
	 * 是否成功
	 */
	public static final String ISSUCCESS = "issuccess";
	/**
	 * 操作
	 */
	public static final String OPERATION = "operation";
	/**
	 * 日志主键
	 */
	public static final String PK_LOG = "pk_log";
	/**
	 * 结果信息
	 */
	public static final String RESULTINFO = "resultinfo";
	/**
	 * 异常信息
	 */
	public static final String ERRORINFO = "errorinfo";
	/**
	 * 发送数据
	 */
	public static final String SENDDATA = "senddata";
	/**
	 * 所属单据主键
	 */
	public static final String SRC_PK_BILL = "src_pk_bill";
	/**
	 * 所属单据类型名称
	 */
	public static final String SRC_PK_BILLNAME = "src_pk_billname";
	/**
	 * 所属单据类型编码
	 */
	public static final String SRC_PK_BILLTYPE = "src_pk_billtype";
	/**
	 * 时间戳
	 */
	public static final String TS = "ts";
}